Page MenuHomeFreeBSD

Porters Handbook: Update scons subsection. CH 6
ClosedPublic

Authored by ak on Oct 17 2017, 12:05 PM.

Details

Reviewers
mat
Group Reviewers
portmgr
Commits
rD51143: - Update Scons section
Summary

Update Scons subsection: document conversion to USES=scons, remove descriptions of variables that were removed in the conversion.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ak created this revision.Oct 17 2017, 12:05 PM
mat accepted this revision.Oct 18 2017, 2:54 PM

It might be a better idea to fold all this in the USES=scons section in the USES chapter.

This revision is now accepted and ready to land.Oct 18 2017, 2:54 PM
ak added a comment.Oct 19 2017, 7:05 AM
In D12697#263905, @mat wrote:

It might be a better idea to fold all this in the USES=scons section in the USES chapter.

Not sure. The chapter is called 'Special Considerations' and scons really needs some. Practically every SConstruct needs to be patched to respect environment variables.

This revision was automatically updated to reflect the committed changes.